bitel.billing.server.contract.bean

## Class ContractTariffGroup

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractTariffGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractTariffGroup
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `int` | `getTariffGroupId()`
    `int` | `getTariffGroupID()` Deprecated.
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setTariffGroupId(int tariffGroupId)`
    `void` | `setTariffGroupID(int tariffGroupId)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffGroup

          public ContractTariffGroup()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId( id )`.
      Parameters:
        `id` -

    - #### getTariffGroupId

          public int getTariffGroupId()

    - #### getTariffGroupID

          @Deprecated
          public int getTariffGroupID()

      Deprecated.
      Использовать `getTariffGroupId()`.
      Returns:

    - #### setTariffGroupId

          public void setTariffGroupId(int tariffGroupId)

    - #### setTariffGroupID

          @Deprecated
          public void setTariffGroupID(int tariffGroupId)

      Deprecated.
      Использовать `setTariffGroupId( int )`.
      Parameters:
        `tariffGroupId` -

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId( int )`.
      Parameters:
        `contractId` -

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### getComment

          public java.lang.String getComment()